# PetscMapGetBlockSize

Gets the block size for a PetscMap object.

### Synopsis

    #include "petscvec.h"
    #undef __FUNCT__
    #define __FUNCT__ "PetscMapGetBlockSize"
    PetscErrorCode PETSCVEC_DLLEXPORT PetscMapGetBlockSize(PetscMap *map,PetscInt *bs)

Not Collective

### Input Parameters

map -pointer to the map

### Output Parameters

bs -the size

### Notes

Call this after the call to PetscMapSetUp()

Unlike regular PETSc objects you work with a pointer to the object instead of the object directly.

### Fortran Notes

Not available from Fortran

### See Also

PetscMapInitialize(), PetscMapSetLocalSize(), PetscMapGetLocalSize(), PetscMapSetSize(), PetscMapSetUp()
PetscMapGetLocalRange(), PetscMapGetGlobalRange(), PetscMapSetBlockSize(), PetscMapGetSize()

Level:intermediate
Location: src/vec/vec/impls/mpi/pmap.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages